# parameters for the heat equation in 1D
## \partial_t u = \alpha \partial^2_{xx} u + f(t,x)

## initial datum: simple function
## boundary data: no flux
## convergence to stationary solution
## better Neumann

## physical parameters
xMin = -1.  # x minimmal
xMax = 1.  # x maximal
tMin = 0.  # t minimal
tMax = 1. # t maximal
uMin = 0. # u minimal (for the graph only)
uMax = 2. # u maximal (for the graph only)

## numerical parameters
nx = 1000 # number of x points
ttp = numpy.linspace(tMin, tMax, 201) # times to plot


## Equation coefficients
## coefficient
alpha = 1.

## source
def F(t,x): # output same size as x
    return numpy.zeros_like(x)

## Data
## datum at t = tMin
def Initial(x):
    return 1. * (numpy.abs (x) < 0.5)

## datum at x = xMin
def Left(t):
    return 0.

## datum at x = xMax
def Right(t):
    return 0.

keep_npz = False
keep_png = False
keep_avi = True
